--[[
Str：
92001-94000	马
94001-96000	佟
96001-98000	金


Scriptlist:
24001+


Flag:
DLC主旗标：44001


npcData:
701-800	马
801-900	佟 
901-1000	金
--]]

--时间段四	24401
--碧溪村

function dlc04_1()

local	n=flag.GetValue(44001)	--DLC主旗标

if	n==401	and	flag.GetValue(40408)==1	and	flag.GetValue(40409)==1	and	flag.GetValue(40410)==1 then


	--开始剧情 
	func_start(1184,2770,0,1)	
	--修改旗标 
	flag.SetValue(44001,402)	



	--[[
	--测试用
	npc.Create(1,1,2522,2538)	
	-- effect.FadeOutWhite(1,1)
	global.Wait(2)	
	global.CreateCameraSE(1,3962,1)
	-- global.CreateCameraSE(1,5907,1)	
	-- effect.FadeInWhite(1,0.3)	
	global.Wait(5)
	func_end(1184,2770,1,1)		
	--]]
	
	
	
	
	

	--npc建立
	--姜承 
	npc.Create(3,3,1216,2843)
	npc.SetAtPos(3,1118,3027)
	--厉岩 
	npc.Create(9,9,1192,2819)
	npc.SetAtPos(9,1118,3027)
	--结萝 
	npc.Create(10,10,1212,2816)	
	npc.SetAtPos(10,1118,3027)
	--魔教教众甲
	-- npc.Create(902,14,1118,3027)
	-- npc.SetAtPos(14,1063,2939)
	--魔教教众乙 
	-- npc.Create(903,15,1088,3004)
	-- npc.SetAtPos(15,1118,3027)
	--魔教教众丙
	-- npc.Create(904,16,1113,2988)
	-- npc.SetAtPos(16,1118,3027)
	
	
	
	--播放音乐 gs17
	global.PlayMusic(167,100,1)		
	

	--镜头1
	-- 远镜-全镜
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1186,104,2873,1137,68,2953)
	camera.ResetLerp(5000)	
	camera.ChangeCameraStatic(1128,76,2925,1103,46,3016)
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(2)
	--甲看向丙 
	npc.SetHeadRotTo(14,16,1,50)
	
	ui.Dialog(96001,100,0,14,0,0)	--听我的没错儿，从这个村出去过了前面的千峰岭，离那什么折剑山庄就没几步路啦。
	
	ui.Dialog(96002,100,0,15,0,0)	--你小子，别迷了路还不敢承认。
	
	camera.ResetLerp(35000)		
	camera.ChangeCameraStatic(1138,71,2942,1096,42,3028)
	
	--甲看向乙 
	npc.SetHeadRotTo(14,15,1,50)
	global.Wait(0.5)	
	
	ui.Dialog(96003,100,0,14,0,0)	--开玩笑，我以前就是在千峰岭住的，怎么可能迷路？
	ui.Dialog(96004,100,0,14,0,0)	--就是……我只认得千峰岭那边的路。
	ui.Dialog(96005,100,0,16,0,0)	--那还不是迷路了！
	ui.Dialog(96006,100,0,16,0,0)	--我说，我们可是偷跑出来，这事儿可不敢让教主知道了。

	-- 甲看向丙
	npc.SetHeadRotTo(14,16,1,50)
	global.Wait(0.5)

	ui.Dialog(96007,100,0,14,0,0)	--去去，胆儿小趁早回去，不就是抢个亲么！
	ui.Dialog(96008,100,0,16,0,0)	--谁……谁胆儿小啊——
	ui.Dialog(96009,100,0,15,0,0)	--行了，我打听了，从那边出了这村子就是千峰岭，到时候你小子可别再迷路了。

	--甲看向乙 
	npc.SetHeadRotTo(14,15,1,50)
	global.Wait(0.5)	

	ui.Dialog(96010,100,0,14,0,0)	--包在我身上。
	ui.Dialog(96011,100,0,14,0,0)	--嘿嘿，折剑山庄家的二小姐哟，你就等着回去做咱们教主夫人吧～


	
	--镜头
	-- 拉向姜承三人 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1199,75,2881,1233,60,2788)
	-- 姜承吃惊 
	npc.SetAnim(3,208,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96012,130,0,3,0,0)	--折剑山庄！二小姐！
	global.Wait(1)
	
	
	--镜头2 
	-- 全镜 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1224,98,2838,1164,63,2910)
	camera.ResetLerp(5000)		
	camera.ChangeCameraStatic(1192,89,2866,1140,53,2943)
	--动作  
	-- 姜承走过去  
	npc.MoveTo(3,1163,2933)
	global.Wait(0.5)
	-- 结萝、厉岩随后走过来 
	npc.MoveTo(9,1139,2910)
	npc.MoveTo(10,1158,2910)
	global.WaitForNpcPos(3,1163,2933)
	-- 姜承备战  
	npc.SetAnim(3,210)
	global.Wait(0.5)

	ui.Dialog(96013,136,0,3,0,0)	--站住！你们要去折剑山庄做什么？！
	
	
	
	-- 镜头3  
	-- 近镜面向教众 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1161,62,2968,1089,49,3037)
	camera.ResetLerp(12000)		
	camera.ChangeCameraStatic(1152,62,2962,1110,52,3052)
	global.Wait(0.5)
	--动作 
	-- 魔教众人看向姜承 
	--教徒三人提前转身 
	npc.SetHeadRot(14,0,0)
	npc.TurnToPos(14,1163,2933)
	npc.TurnToPos(15,1158,2910)
	npc.TurnToPos(16,1158,2910,1)
	global.Wait(0.5)
	-- 甲走上前一步，随便动一动 
	npc.MoveTo(14,1136,2994,1)
	global.Wait(0.5)
	npc.SetAnim(14,204,2)
	global.Wait(1)
	--姜承悄悄转个方向 
	npc.SetAnim(3,200)
	npc.SetPos(3,1156,2940)
	npc.SetAt(3,-1,1)
	--姜承三人组转头 
	npc.SetHeadRotTo(3,16)
	npc.SetHeadRotTo(9,16)
	npc.SetHeadRotTo(10,16)
	--对话 
	ui.Dialog(96014,100,0,14,0,0)	--哎哟这哪儿冒出来的小子嘿——
	ui.Dialog(96015,100,0,14,0,0)	--敢偷听咱们说悄悄话！
	
	

	--镜头4 
	-- 面向姜承三人 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(1132,68,2972,1174,54,2883)
	camera.ResetLerp(10000)				
	camera.ChangeCameraStatic(1125,68,2969,1171,54,2881)
	global.Wait(0.5)
	-- 结萝笑  
	npc.SetAnim(10,211,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96016,560,0,10,0,0)	--你们说的悄悄话啊，全村子的人都听见了～哪儿还用偷听啊～
	global.Wait(1)
	

	--镜头5 
	-- 全镜面向魔教众 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(1071,79,3060,1115,53,2974)
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(1080,73,3036,1123,47,2950)
	-- 乙走过来 
	npc.MoveTo(15,1097,2972,1)
	npc.TurnToNpc(15,10,1)
	global.Wait(0.5)

	ui.Dialog(96017,100,0,15,0,0)	--哟～这小娘子倒是样貌也不错～可惜咱们教主心里有人啦，轮不到你说话！

	-- 丙看向乙  
	npc.SetHeadRot(16,35,0,1,50)
	global.Wait(0.5)
	
	ui.Dialog(96018,100,0,16,0,0)	--教主不喜欢不打紧，我看，拉回去给咱左护法也不错啊，哥儿几个说是不是——
	


	--镜头6  
	-- 近镜厉岩 
	camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(1115,69,2985,1155,60,2894)
	-- camera.ResetLerp(2000)	
	camera.ChangeCameraStatic(1128,67,2964,1145,53,2867)
	-- 厉岩走上前 挡在结萝前 
	npc.SetHeadRot(9,0,0)
	npc.MoveTo(9,1133,2930,1)
	-- 厉岩怒
	npc.SetAnim(9,210,2)
	global.Wait(0.6)
	--对话 
	ui.Dialog(96019,621,0,9,0,0)	--你说什么？
	global.Wait(1)
	--动作 
	-- 结萝转向厉岩 
	npc.SetHeadRotTo(10,9,1,30)
	-- 结萝撒娇  
	npc.SetAnim(10,225)
	global.Wait(1)

	ui.Dialog(96020,561,2,10,0,0)	--厉岩大哥～你紧张我被人家抢去啊～
	
	
	
	
	
	--镜头7 
	-- 面向教众 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1094,79,3057,1132,51,2969)
	-- 教众三人看向厉岩 
	npc.SetHeadRotTo(15,9,0,50)
	npc.SetHeadRotTo(16,9,0,50)
	npc.SetHeadRotTo(14,9,1,50)
	global.Wait(0.5)

	ui.Dialog(96021,100,0,14,0,0)	--哟嗬——

	-- 甲备战  
	npc.AddRefItem(14,49,6307)
	npc.SetAnim(14,2)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96022,100,0,14,0,0)	--也不打量咱们的身份就敢出头？

	--结萝恢复 
	npc.SetAnim(10,200)	
	npc.SetHeadRotTo(10,16,0,50)
	-- 乙丙备战 
	npc.AddRefItem(15,49,6309)	
	npc.AddRefItem(16,49,6307)
	npc.SetAnim(15,2)
	npc.SetAnim(16,2)
	global.Wait(0.5)
	npc.SetAnim(15,106,1)
	npc.SetAnim(15,2)
	--对话 
	ui.Dialog(96023,100,0,15,0,0)	--折剑山庄的二小姐还有这姑娘，咱们抢定了！
	
	
	
	--镜头8 
	-- 面向姜承三人
	camera.ResetLerp(1000)		
	camera.ChangeCameraStatic(1127,66,2981,1159,52,2887)
	global.WaitForCameraLerp()
	-- 厉岩备战 
	npc_weapon(3,3)
	npc.SetAnim(3,101)
	npc.SetAnim(9,101)
	global.Wait(0.5)
	--对话
	ui.Dialog(96024,136,2,3,0,0)	--哼！
	ui.Dialog(96025,621,0,9,0,0)	--哼！
	--动作 
	-- 结萝摇头 
	npc.SetAnim(10,207,2)
	global.Wait(1)
	
	ui.Dialog(96026,561,0,10,0,0)	--哎呀呀～
	global.Wait(1)

	flag.SetValue(40044,5)		--选层旗标控制





	--清理npc 恢复转头 
	-- effect.FadeOut(1,1)
	-- global.Wait(1)	
	
	-- npc_weapon(3,0)
	-- npc.RemoveRefItem(14,49)
	-- npc.RemoveRefItem(15,49)
	-- npc.RemoveRefItem(16,49)
	
	-- for	i=1,10,1
		-- do 
		-- npc.SetHeadRot(i,0,0)
		-- end
	
	-- global.Wait(0.5)
	
	-- for i=1,20,1
		-- do
		-- npc.Destroy(i)
		-- end	



	--换队员 姜承、结萝、厉岩
	--所有人离队除了夏侯
	for i=42022,42030,1
		do
			if	flag.GetValue(i)==1	then
				player.Remove(p_id(i-42020))
			end
		end
	--姜承三人组入队	
	player.Add(p_id(3),0,1)		
	player.Add(p_id(9),0,1)
	player.Add(p_id(10),0,1)
	--夏侯离队
	player.Remove(p_id(1))
	
	
	
	--开始战斗  魔教弟子x3
	player.Control(1)
	global.SetWideScreen(0)	
	battle.Begin(4101,724)
	-- func_end(1184,2770,1,1)		


end


end